-- by modelleicher
--
-- www.schwabenmodding.bplaced.net

Fender = {};

function Fender.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function Fender:load(xmlFile)
    -- indexe der beiden Fender (Achtung es dürfen nicht selben Indexe sein wie die repr. angaben in der xml.. Also wenn nötig noch ne Transform mehr in die Struktur bauen.. ;)  ) 
    self.FenderLK = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.Fenders.FenderLK#index"));
    self.FenderRK = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.Fenders.FenderRK#index"));
	-- index des Lenkrades: 
    self.FenderPoint = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.Fenders.FenderPoint#index"));		
end;

function Fender:delete()
end;

function Fender:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Fender:keyEvent(unicode, sym, modifier, isDown)
end;

function Fender:update(dt)
    if self:getIsActive() then
	    -- abgreifen der Rotation des Lenkrades und Teilung/ Berechnung für die der Fender
		self.GetRotRT, self.GetRotRTT, self.GetRotRTTT = getRotation(self.FenderPoint)
		self.RotateF = (self.GetRotRTT /70)  -- <<-- der Wert (40) gibt die Teilung an, wird er größer fällt der Sturz schwächer aus, wird er kleiner wird der Sturz stärker)
        -- setzt letztenendes die Rotation in die Tat um:
		setRotation(self.FenderLK, 0, 0, -self.RotateF)		
		setRotation(self.FenderRK, 0, 0, -self.RotateF)		   		
	end;
end;

function Fender:draw()
end;

